<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
  <script src="../jquery-3.5.1.min.js"></script>
  <script src="gen.js" defer></script>
</head>
<body>

  <div class="objects">
    <div class="spawn spawn1"></div>
    <div class="spawn spawn2"></div>
    <div class="spawn block-select"></div>
  </div>

  <div class="border">

  </div>

  <br>
  <button>generate</button>
  <br><br>
  <textarea type="text" rows=20></textarea>

<style>
  .border {
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    border: 1px solid red;
    width: 640px;
    height: 480px;
  }
  .block {
    position: absolute;
    width: 40px;
    height: 40px;
  }
  .block.black {
    background: black;
  }

  * {
    -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select: none;
  user-select: none;
  }

  .spawn {
    width: 40px;
    height: 40px;
  }
  .spawn1 {
    background: aqua;
  }
  .spawn2 {
    background: pink;
  }
  .block-select {
    background: #000;
  }
</style>
</body>
</html>